2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs:
	* Gui/ValaTextEditorExtension.cs: Track API changes.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.addin.xml:
	* Parser/ValaDocumentParser.cs: Track ProjectDomService/Parser
	  API.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/ValaTextEditorExtension.cs: Remove unneeded filename
	  checks, now it's handled by the addin tree.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.addin.xml: Restrict editor extensions by file
	  type.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* AssemblyInfo.cs:
	* ValaBinding.addin.xml: Bumped MD version.

2010-03-22  Mike Krüger  <mkrueger@novell.com>

	* templates/ValaTestFixture.xpt.xml:
	* templates/ConsoleValaProject.xpt.xml:
	* templates/EmptyValaSourceFile.xft.xml:
	* templates/SharedLibraryValaProject.xpt.xml: Fixed 'Bug
	  589786 - new vala files don't include the standard header'.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.csproj: Flush.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/Afrodite.cs:
	* gtk-gui/gui.stetic:
	* Gui/DataProvider.cs:
	* ValaBinding.addin.xml:
	* Project/ValaProject.cs:
	* Compiler/ValaCompiler.cs:
	* Gui/EditPackagesDialog.cs:
	* Gui/OutputOptionsPanel.cs:
	* Gui/CodeGenerationPanel.cs:
	* Gui/GeneralOptionsPanel.cs:
	* Parser/ProjectInformation.cs:
	* Gui/ValaTextEditorExtension.cs:
	* Navigation/LanguageItemNodeBuilder.cs:
	* ProjectPad/ProjectPackageNodeBuilder.cs:
	* Navigation/LanguageItemCommandHandler.cs:
	* Navigation/ProjectNodeBuilderExtension.cs:
	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Merged
	  MD.Projects into MD.Core, and MD.Projects.Gui, MD.Core.Gui
	  and MD.Components into MD.Ide.

2010-03-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* configure.in: Change autofoo to check for afrodite.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* Project/ValaProject.cs: Track ProjectFile Link API.

2010-03-01  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/DataProvider.cs:
	* Parser/ProjectInformation.cs:
	* Gui/ValaTextEditorExtension.cs: Populate completion list
	  asynchronously again.

2010-03-01  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.sln: The invariant policy can't be used anymore
	  as base policy set.

2010-02-23  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Support gcc note, translated error
	  levels.

2010-02-18  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Add sibling types.

2010-02-18  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ValaDocumentParser.cs: Avoid occasional parser
	  exceptions.

2010-02-18  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Add project packages to parse list.

2010-02-18  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Makefile.am: 
	* Parser/Afrodite.cs: 
	* ValaBinding.csproj: 
	* Parser/Function.cs: 
	* Parser/CodeNode.cs: 
	* Gui/DataProvider.cs: 
	* Parser/ValaDocumentParser.cs: 
	* Parser/ProjectInformation.cs: 
	* Gui/ValaTextEditorExtension.cs: 
	* Navigation/LanguageItemEventArgs.cs: 
	* Navigation/LanguageItemNodeBuilder.cs: 
	* Navigation/LanguageItemCommandHandler.cs: 
	* Navigation/ProjectNodeBuilderExtension.cs: Rework code completion based on libafrodite.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/DataProvider.cs: Track api changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.addin.xml: Load the project service extension
	  only for the vala project.

	* ValaBinding.sln:
	* ValaBinding.csproj: Flush.

2010-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.sln:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.ValaBinding.AddPathDialog.cs:
	* gtk-gui/MonoDevelop.ValaBinding.PackageDetails.cs:
	* gtk-gui/MonoDevelop.ValaBinding.AddLibraryDialog.cs:
	* gtk-gui/MonoDevelop.ValaBinding.OutputOptionsPanel.cs:
	* gtk-gui/MonoDevelop.ValaBinding.EditPackagesDialog.cs:
	* gtk-gui/MonoDevelop.ValaBinding.CodeGenerationPanel.cs:
	* gtk-gui/MonoDevelop.ValaBinding.GeneralOptionsPanel.cs:
	  Flush.

2010-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/DataProvider.cs: Track api changes.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProject.cs:
	* Gui/EditPackagesDialog.cs:
	* Project/ValaProjectServiceExtension.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Project/ValaProject.cs: Track API.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* AssemblyInfo.cs:
	* ValaBinding.addin.xml: Bump MD version.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* AssemblyInfo.cs:
	* ValaBinding.addin.xml: Bump MD version.

2009-09-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/DataProvider.cs:
	* Parser/ValaDocumentParser.cs:
	* Parser/ProjectInformation.cs: Track completion window API.

2009-09-11  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Allow vala files to be edited 
	  without a vsc-shell installation. Reported by Andy Selvig.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* ValaBinding.csproj:
	* gtk-gui/gui.stetic: We now depend on gtk# 2.12.8, Mono 2.4,
	  and Mono.Addins 0.4.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProjectBinding.cs: Track api changes.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProject.cs: Track api changes.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.sln:
	* ValaBinding.addin.xml:
	* gtk-gui/MonoDevelop.ValaBinding.PackageDetails.cs: Remove
	  obsolete extension.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.sln:
	* ValaBinding.csproj: Flush.

2009-04-28  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/CodeNode.cs:
	* Parser/ProjectInformation.cs: Make document type extraction
	  more robust.

2009-04-28  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Force reparse on file update.

2009-04-23  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/ValaTextEditorExtension.cs: 
	* Parser/ValaDocumentParser.cs: 
	* Parser/ProjectInformation.cs: Improve completion robustness.

2009-04-23  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Keep parser from blocking project load.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaLanguageBinding.cs: Track comment tag API.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProject.cs: Track api changes done in
	  IExecutionHandler.

2009-04-16  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ValaDocumentParser.cs: Allow non-project files 
	  to be parsed.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* AssemblyInfo.cs:
	* ValaBinding.addin.xml: Bump MD version.

2009-04-14  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/*: Improvements to dom interaction.
	
2009-04-13  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/*: 
	* Navigation/*: Make more parser communication asynchronous, 
	  drop reliance on parser restarts.

2009-04-13  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Parser adjustments.

2009-04-10  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Handle it more gracefully 
	  when vsc-shell is not installed.

2009-04-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Auto-add C compiler options 
	  when there are no package dependencies.

2009-04-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Populate quick finder.

2009-04-08  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Increase parser robustness.

2009-04-08  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/DataProvider.cs: Increase responsiveness on
	  parameter completion.

2009-04-08  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/ValaTextEditorExtension.cs: Increase responsiveness on 
	  parameter completion.

2009-04-07  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Update for Vala 0.7.0.

2009-03-25  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/*: 
	* Navigation/LanguageItemCommandHandler.cs: Use file 
	  positions from VSC.

2009-03-20  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/ValaTextEditorExtension.cs: Tweak completion
	  aggressiveness.

2009-03-13  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/ValaTextEditorExtension.cs: Make completion more 
	  aggressive.

2009-03-13  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Reduce parser latency on 
	  bad match.

2009-03-13  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Fix intermittent exception.

2009-03-10  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Implement basic Makefile generation.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProject.cs: Changed the way execution handlers
	  work. We are not using platform ids anymore. Instead, we use
	  command strings when looking for execution handlers.
	  IExecutionHandlerFactory has been removed and now everything
	  is handled by IExecutionHandler, which has a new CanExecute
	  method. This model is more simple and more generic.

2009-02-27  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Change to vsc-based completion.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaLanguageBinding.cs: Ordinal compare.

	* Project/ValaProjectBinding.cs: Only create projects for vala
	  files. Fixes nasty crash on xml files.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.csproj: Remove bad property value.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.sln: Flush.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.csproj: Flush.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.sln: Set policies. Remove unused name attribute.

2009-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.csproj: Updated references.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * ValaBinding.mds:
 * ValaBinding.sln:
 * ValaBinding.mdp:
 * ValaBinding.csproj: Migrated to MSBuild file format.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * configure.in:
 * AssemblyInfo.cs:
 * ValaBinding.addin.xml: Bump MD version.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * ValaBinding.mds:
 * gtk-gui/generated.cs:
 * gtk-gui/MonoDevelop.ValaBinding.AddPathDialog.cs:
 * gtk-gui/MonoDevelop.ValaBinding.PackageDetails.cs:
 * gtk-gui/MonoDevelop.ValaBinding.AddLibraryDialog.cs:
 * gtk-gui/MonoDevelop.ValaBinding.EditPackagesDialog.cs:
 * gtk-gui/MonoDevelop.ValaBinding.OutputOptionsPanel.cs:
 * gtk-gui/MonoDevelop.ValaBinding.CodeGenerationPanel.cs:
 * gtk-gui/MonoDevelop.ValaBinding.GeneralOptionsPanel.cs: Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.mdp: Flush project format changes.

2009-01-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/EditPackagesDialog.cs: Move package list population into idle handler.

2009-01-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ProjectPackage.cs:
	* Project/ProjectPackageCollection.cs: Use relative path 
	for project package references.

2009-01-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* ValaBinding.sln:
	* ValaBinding.csproj: Add MSBuild project files.

2009-01-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* gtk-gui/gui.stetic: Tooltip cleanup.

2009-01-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/CodeGenerationPanel.cs: 
	* Compiler/ValaCompiler.cs: 
	* Project/ValaCompilationParameters.cs: Add support for valac --thread flag.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.mdp: Don't require a specific version of Mono.Addins.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/ValaTextEditorExtension.cs: Track api changes.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* ValaBinding.mdp: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-21  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Display errors originating from gcc.

2008-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProject.cs: Allow executing Vala projects.

2008-11-18  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: valac no longer supports -D.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* ValaBinding.addin.xml: Bump MD version.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Fix tarball name.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs:
	* Gui/ValaTextEditorExtension.cs: Track APIs.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs: Track CompletionData API.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs: Track API.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/ValaProject.cs: Track API.

2008-09-29  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/DataProvider.cs: Track API.

2008-09-23  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/DataProvider.cs: Track changes in completion API.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp: Updated projects.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaLanguageBinding.cs: Fix build.

2008-09-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: More compiler flags tweaking
	for project packages.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs,
	  ProjectPad/ProjectReferencesExtension.cs,
	  ProjectPad/ProjectNodeExtension.cs,
	  Navigation/StructureNodeBuilder.cs,
	  Navigation/TypedefNodeBuilder.cs, Navigation/MacroNodeBuilder.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/ClassNodeBuilder.cs, Navigation/MemberNodeBuilder.cs,
	  Navigation/EnumeratorNodeBuilder.cs,
	  Navigation/LanguageItemCommandHandler.cs,
	  Navigation/GlobalsNodeBuilder.cs,
	  Navigation/VariableNodeBuilder.cs,
	  Navigation/FunctionNodeBuilder.cs,
	  Navigation/EnumerationNodeBuilder.cs,
	  Navigation/UnionNodeBuilder.cs, Navigation/NamespaceNodeBuilder.cs,
	  Navigation/MacroDefinitionsNodeBuilder.cs: Moved the extensible
	  tree view to its own directory.

2008-09-03  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Add output directory to library path 
	for project packages.

2008-09-03  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Only generate .deps file 
	for shared library targets.

2008-08-28  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Generate .deps file on library compilation.

2008-08-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectPad/ProjectResourcesExtension.cs, ValaBinding.addin.xml,
	  ValaBinding.mdp, gtk-gui/objects.xml, Makefile.am: Resources folder
	  has been removed.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp: Fix reference to Mono.TextEditor. The incorrect
	  add-in version number causes problems in the makefile
	  synchronization.

2008-08-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Fix error parsing for recent valac.

2008-08-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs, Project/ProjectPackage.cs, 
	Project/ValaProject.cs, Gui/EditPackagesDialog.cs:
	Improve dependency and project package handling.
	* templates/ValaTestFixture.xpt.xml, ValaBinding.addin.xml, 
	Makefile.am: Add text fixture project template.
	* templates/ConsoleValaProject.xpt.xml: Cleanup.

2008-08-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs, Compiler/ValaCompiler.cs, 
	Project/ProjectPackageCollection.cs, templates/ConsoleValaProject.xpt.xml, 
	templates/EmptyValaProject.xpt.xml, 
	templates/SharedLibraryValaProject.xpt.xml: Add glib-2.0 package
	to new projects by default. Track changes in valac.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/ProjectPackage.cs, Project/ValaCompilationParameters.cs,
	  Project/ValaProject.cs, Project/ValaProjectConfiguration.cs: Moved
	  serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-06-26  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Actually turn on debug mode.

2008-06-18  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ProjectPackage.cs: Search more thoroughly for corresponding
	  .pc files.

2008-06-18  Jerome Haltom <wasabi@larvalstage.net>

	* Gui/EditPackagesDialog.cs: Attempt to detect vapidir.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp, Makefile.am: More makefile fixes.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in, Makefile.am: Fix makefile so that it does not directly
	  depend on MD core and it can always be built standalone.
	* ValaBinding.mdp: Enable makefile synchronization.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp: Fix gtk-sharp dependency versions.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs, Navigation/ProjectNodeBuilderExtension.cs: 
	  Add tags from packages to class pad and code completion.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/*: Update parse data on file removal.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Fix define syntax in generated .pc files.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Add package support.

2008-06-04  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* *: Add classpad support

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/ValaProject.cs: Track api changes.

2008-03-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* *: Ported from CBinding
